Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnDNASequence Class Reference

gnDNASequence is a special kind of gnSequence which can be used for DNA sequences It sets the default filters and comparators to the DNA filters and comparators. More...

`#include <gnDNASequence.h>`

Inheritance diagram for gnDNASequence::

List of all members.

## Public Methods
| gnDNASequence ()
| Empty Constructor, creates an empty gnDNASequence. More...
| gnDNASequence (const gnSeqC *seq)
| Creates a gnDNASequence with a single contig containing the bases in "seq". More...
| gnDNASequence (const string &str)
| Creates a gnDNASequence with a single contig containing the bases in "str". More...
| gnDNASequence (const gnGenomeSpec &gngs)
| Creates a gnDNASequence with the contigs stored in "gngs". More...
| gnDNASequence (const gnFragmentSpec &gnfs)
| Creates a gnDNASequence with the contigs stored in "gnfs". More...
| gnDNASequence (const gnContigSpec &gncs)
| Creates a gnDNASequence with the contigs stored in "gncs". More...
| gnDNASequence (gnSeqC *bases, const gnSeqI length)
| Creates a gnDNASequence with a single contig containing the bases in "bases". More...
| gnDNASequence (const gnDNASequence &seq)
| Copies the gnDNASequence "seq". More...
## Private Attributes
gnGenomeSpec* | spec
list<const gnBaseFilter*> | filter_list
const gnCompare* | comparator

## Detailed Description

gnDNASequence is a special kind of gnSequence which can be used for DNA sequences It sets the default filters and comparators to the DNA filters and comparators.

Definition at line 28 of file gnDNASequence.h.

## Constructor & Destructor Documentation

gnDNASequence::gnDNASequence ( | )`[inline]`

| Empty Constructor, creates an empty gnDNASequence. Definition at line 78 of file gnDNASequence.h.

gnDNASequence::gnDNASequence ( | const gnSeqC * seq )`[inline]`

  | Creates a gnDNASequence with a single contig containing the bases in "seq". Parameters:
  seq | The null terminated array of base pairs to use.
Definition at line 83 of file gnDNASequence.h.

gnDNASequence::gnDNASequence ( | const string & str )`[inline]`

  | Creates a gnDNASequence with a single contig containing the bases in "str". Parameters:
  str | The base pairs to use.
Definition at line 88 of file gnDNASequence.h.

gnDNASequence::gnDNASequence ( | const gnGenomeSpec & gngs )`[inline]`

  | Creates a gnDNASequence with the contigs stored in "gngs". Parameters:
  gngs | the gnGenomeSpec to get contigs from.
Definition at line 93 of file gnDNASequence.h.

gnDNASequence::gnDNASequence ( | const gnFragmentSpec & gnfs )`[inline]`

  | Creates a gnDNASequence with the contigs stored in "gnfs". Parameters:
  gnfs | the gnFragmentSpec to get contigs from.
Definition at line 98 of file gnDNASequence.h.

gnDNASequence::gnDNASequence ( | const gnContigSpec & gncs )`[inline]`

  | Creates a gnDNASequence with the contigs stored in "gncs". Parameters:
  gncs | the gnContigSpec to get contigs from.
Definition at line 103 of file gnDNASequence.h.

gnDNASequence::gnDNASequence ( | gnSeqC * bases,
| const gnSeqI length )`[inline]`

  | Creates a gnDNASequence with a single contig containing the bases in "bases". Parameters:
  bases | The base pairs to use
  length | The length of the base pair array.
Definition at line 108 of file gnDNASequence.h.

gnDNASequence::gnDNASequence ( | const gnDNASequence & seq )`[inline]`

  | Copies the gnDNASequence "seq". Parameters:
  seq | The gnDNASequence to copy.
Definition at line 113 of file gnDNASequence.h.

## Member Data Documentation

const gnCompare * gnDNASequence::comparator`[private]`

| Reimplemented from gnSequence. Definition at line 74 of file gnDNASequence.h.

list< const gnBaseFilter *> gnDNASequence::filter_list<const gnBaseFilter*>`[private]`

| Reimplemented from gnSequence. Definition at line 73 of file gnDNASequence.h.

gnGenomeSpec * gnDNASequence::spec`[private]`

| Reimplemented from gnSequence. Definition at line 72 of file gnDNASequence.h.

The documentation for this class was generated from the following file:

- gnDNASequence.h